! ===========================================================================
MODULE WMAP_OPTIONS

! This module contains the options in the likelihood code
!
! R Bean December 2005
!
! ===========================================================================

!---------------------------------------------------
! location of input data
! ---------------------------------------------------
  character(len=1024) :: WMAP_data_dir = './data/'

!---------------------------------------------------
! likelihood terms from WMAP
!---------------------------------------------------
  integer,parameter   :: num_WMAP   = 8    ! number of individual chi2 terms in likelihood

  integer,parameter   :: ttlike     = 1    ! master tttt chisq flag
  integer,parameter   :: ttlowllike = 2    ! low tttt chisq flag
  integer,parameter   :: ttlowldet  = 3    ! low tttt determinant flag
  integer,parameter   :: beamlike   = 4    ! beam/pt source correction to tttt chisq flag
  integer,parameter   :: telike     = 5    ! master tete chisq flag
  integer,parameter   :: tedet      = 6    ! master tete determinant flag
  integer,parameter   :: lowllike   = 7    ! TE/EE/BB lowl chisq flag
  integer,parameter   :: lowldet    = 8    ! TE/EE/BB lowl determinant flag

!---------------------------------------------------
! l range to be used in the likelihood code
! change these to consider a more limited l range in TTTT and TETE
!---------------------------------------------------
  integer :: ttmax                = 1000 ! must be l.le.1000 
  integer :: ttmin                = 2    ! must be l.ge.2 
  integer :: temax                = 450  ! must be l.le.450 
  integer :: temin                = 2    ! must be l.ge.2 

!---------------------------------------------------
! various likelihood options
! change these to include/ exclude various likelihood aspects
!---------------------------------------------------
  integer :: lowl_max             = 12     ! use low l TT code 2<l<lowl_max (max value lowl_max=12)
  logical :: use_lowl_TT          = .true. ! include TT pixel likelihood, for l<=lowl_max
  logical :: use_lowl_pol         = .true. ! include TE,EE,BB pixel likelihood for l<24
  logical :: use_TT               = .true. ! include MASTER TT in likelihood
  logical :: use_TE               = .true. ! include MASTER TE in likelihood
  real(8) :: sz_amp               = 0.d0   ! multiple of fiducial SZ Cls to be added in to TT

END MODULE WMAP_OPTIONS
