!===========================================================
program test_likelihood

! RB December '05
!===========================================================

use WMAP_PASS2
use WMAP_OPTIONS
use wmap_util

integer,parameter           :: lmax0 =1000
real(8), dimension(2:lmax0) :: cl_tt,cl_te,cl_ee,cl_bb
character(LEN=128)          :: filename
real(8)                     :: like(num_WMAP),like_tot
integer                     :: lun

!---------------------------------------------------
! read in Cls
!---------------------------------------------------
filename = trim(WMAP_data_dir)//'fiducial_test_cls.dat'

write(*,*)"reading in Cls from :  ",trim(filename)
call get_free_lun( lun )
open(unit=lun,file=filename,action='read',status='old')

do l=2,lmax0
   read(lun,*)i,cl_tt(l),cl_te(l),cl_ee(l),cl_bb(l)
enddo

close(lun)

!---------------------------------------------------
! put in likelihood options
! see PASS2_options module for the options below
!---------------------------------------------------

lmax                 = lmax0
use_TT               = .true.
use_TE               = .true. 
use_lowl_TT          = .true.
use_lowl_pol         = .true.
szamp                = 0.d0

!---------------------------------------------------
! get likelihoods
!---------------------------------------------------
like =0.d0
call PASS2_COMPUTE_LIKELIHOOD(cl_tt,cl_te,cl_ee,cl_bb,like)
call wmap_likelihood_error_report

like_tot = sum(like(1:num_WMAP))

!---------------------------------------------------
! write outputs
!---------------------------------------------------

   write(*,*)"------------------------------------------------------------------"
   write(*,*)"Breakdown of -2ln(L)"
   write(*,*)"------------------------------------------------------------------"
   write(*,*)"MASTER TTTT              = ",2*like(ttlike),' for',1000-lowl_max-1,'ls'
   write(*,*)"Beam/ptsrc TT correction = ",2*like(beamlike)
   write(*,*)"low l TTTT chi2          = ",2*like(ttlowllike),' for 666 pixels'
   write(*,*)"low l TTTT det           = ",2*like(ttlowldet)
   write(*,*)"MASTER TETE  chi2        = ",2*like(telike),'  for',450-23-1,'ls'
   write(*,*)"MASTER TETE  det         = ",2*like(tedet)
   write(*,*)"TT/TE/EE/BB lowl chi2    = ",2*like(lowllike),'   for 1172 pixels '
   write(*,*)"TT/TE/EE/BB lowl det     = ",2*like(lowldet)
   write(*,*)"------------------------------------------------------------------"
   write(*,*)"TOTAL -2ln(L)            = ",2*like_tot
   write(*,*)"------------------------------------------------------------------"

 end program test_likelihood
